%This GD reads a MP3-File and applies various LADSPA-filters on it
%Make sure, that your LADSPA_PATH-variable is set
%
%command:       clic mp3ladspa.gd -i <mp3-file>

  GenericReadNode     $ setBufferSize(1024) CONSTRUCTED
! MPEGAudioDecodeNode $ setDownstreamMaxSize(1, "default") CONSTRUCTED
! Int2LADSPADataNode  $ setDownstreamMaxSize(1, "default") CONSTRUCTED
! LADSPANode          $ setDownstreamMaxSize(1, "default") CONSTRUCTED
                      $ addLADSPAPlugin("amp_mono","amp",0) INITIALIZED
                      $ addLADSPAPlugin("amp_stereo","amps",1) INITIALIZED
                      $ addLADSPAPlugin("amp_mono","ampm",1) INITIALIZED
                      $ removeLADSPAPluginByName("amp") INITIALIZED
                      $ setConfigFilename("LADSPAPlugin_presets.xml") INITIALIZED
		      $ setControlInValueByName("amps",0,1) STARTED
		      $ setControlInValueByIndex(1,0,0.5) STARTED
! LADSPAData2IntNode  $ setDownstreamMaxSize(1, "default") CONSTRUCTED
! PlaybackNode        $ setDownstreamMaxSize(1, "default") CONSTRUCTED

