%GraphDescription for watching TV via DVB on 2 Hosts.
%The GD requests the DVB-Source shared, transcodes the Video- and Audio-Stream and sends it over the network.
%To use this GD, clic must be started first with shated_tv.gd (see comments in shared_tv.gd)
%
%command:       clic shared_tv2.gd

DVBReadNode #setSharingType(SHARED) #setLocation("sparrow") ! MPEGDemuxNode #setLocation("sparrow") #setSharingType(SHARED)
{
        { ["mpeg_audio0"] ! MPEGAudioDecodeNode #setSharingType(SHARED) #setLocation("sparrow") 
                          ! AudioConverterNode #setSharingType(EXCLUSIVE) #setLocation("sparrow") 
                          ! MPEGAudioEncodeNode #setSharingType(EXCLUSIVE) #setLocation("sparrow") @ Format (bitrate = 32000)
                          ! MPEGAudioDecodeNode #setLocation("localhost") #setSharingType(EXCLUSIVE)
                          ! PlaybackNode #setSharingType(EXCLUSIVE) #setLocation("localhost")
        }
        { ["mpeg_video0"] ! MPEGVideoDecodeNode #setSharingType(SHARED) #setLocation("sparrow") 
                          ! BufferDropNode #setSharingType(EXCLUSIVE_THEN_SHARED) #setLocation("sparrow") 
                          ! YUVDeInterlaceNode #setSharingType(EXCLUSIVE_THEN_SHARED) #setLocation("sparrow") 
                          ! VideoScalerNode #setSharingType(EXCLUSIVE_THEN_SHARED) #setLocation("sparrow") 
                            @ Format(x_resolution=320, y_resolution=240, ratio_x=320, ratio_y=240) 
                          ! FFMpegEncodeNode #setLocation("sparrow") #setSharingType(EXCLUSIVE_THEN_SHARED) @ Format(bitrate = 300000) 
                          ! FFMpegDecodeNode#setLocation("localhost") #setSharingType(EXCLUSIVE)
                          ! XDisplayNode #setSharingType(EXCLUSIVE) #setLocation("localhost") 
        }
}

