#ifndef RECORDHANDLER_HPP
#define RECORDHANDLER_HPP RECORDHANDLER_HPP

#include "nmm/utils/embeddedWebserver/WebRequestHandler.hpp"

#include "nmm/interfaces/misc/tvtimer/ITVTimer.hpp"

namespace NMM{
  
  class RecordHandler : public WebRequestHandler{
  private:
    ITVTimer *itvtimer;
  public:
    RecordHandler(ITVTimer *itvt);
    ~RecordHandler();
    
    void doGet (WebServerRequest *pRequest, WebServerResponse *pResponse);
    void doPost(WebServerRequest *pRequest, WebServerResponse *pResponse);

  private:
    void showTimerList(WebServerResponse *pResponse);
    void transform(string &s);
    time_t transformTime(string s);
  };
}
#endif
