#ifndef TRANSCODEHANDLER_HPP
#define TRANSCODEHANDLER_HPP 

#include "nmm/utils/embeddedWebserver/WebRequestHandler.hpp"
#include "../../transcode/TranscoderWebInterface.hpp"


namespace NMM{
  class TranscodeHandler : public WebRequestHandler{
  private:
    TranscoderWebInterface* transcoder;

  public:
    TranscodeHandler(TranscoderWebInterface *trans);
    ~TranscodeHandler();
    
    void doGet (WebServerRequest *pRequest, WebServerResponse *pResponse);
    void doPost(WebServerRequest *pRequest, WebServerResponse *pResponse);
  };
}
#endif
