
#include "IEchoCancellationImpl.hpp"


namespace NMM
{
  
  void IEchoCancellationImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IEchoCancellation::setMin_xf_event, new TEDObject1<IEchoCancellationImpl, float, void(IEchoCancellationImpl:: * )(const float&), void >(this, &IEchoCancellationImpl::setMin_xf));
  
    getEventDispatcher().registerEvent(IEchoCancellation::setGeigelThreshold_event, new TEDObject1<IEchoCancellationImpl, float, void(IEchoCancellationImpl:: * )(const float&), void >(this, &IEchoCancellationImpl::setGeigelThreshold));
  
    getEventDispatcher().registerEvent(IEchoCancellation::setNLPAttenuation_event, new TEDObject1<IEchoCancellationImpl, float, void(IEchoCancellationImpl:: * )(const float&), void >(this, &IEchoCancellationImpl::setNLPAttenuation));
  
    getEventDispatcher().registerEvent(IEchoCancellation::setBufferShifting_event, new TEDObject1<IEchoCancellationImpl, int, void(IEchoCancellationImpl:: * )(const int&), void >(this, &IEchoCancellationImpl::setBufferShifting));
  
    getEventDispatcher().registerEvent(IEchoCancellation::setSampleShifting_event, new TEDObject1<IEchoCancellationImpl, int, void(IEchoCancellationImpl:: * )(const int&), void >(this, &IEchoCancellationImpl::setSampleShifting));
  
    getEventDispatcher().registerEvent(IEchoCancellation::setECEnabled_event, new TEDObject1<IEchoCancellationImpl, bool, void(IEchoCancellationImpl:: * )(const bool&), void >(this, &IEchoCancellationImpl::setECEnabled));
  
    getEventDispatcher().registerEvent(IEchoCancellation::setESEnabled_event, new TEDObject1<IEchoCancellationImpl, bool, void(IEchoCancellationImpl:: * )(const bool&), void >(this, &IEchoCancellationImpl::setESEnabled));
  
    getEventDispatcher().registerEvent(IEchoCancellation::setForwardEnabled_event, new TEDObject1<IEchoCancellationImpl, bool, void(IEchoCancellationImpl:: * )(const bool&), void >(this, &IEchoCancellationImpl::setForwardEnabled));
  
    getEventDispatcher().registerEvent(IEchoCancellation::setDoBeep_event, new TEDObject1<IEchoCancellationImpl, bool, void(IEchoCancellationImpl:: * )(const bool&), void >(this, &IEchoCancellationImpl::setDoBeep));
  
    getEventDispatcher().registerEvent(IEchoCancellation::increaseBufferShifting_event, new TEDObject0<IEchoCancellationImpl, void(IEchoCancellationImpl:: * )(), void >(this, &IEchoCancellationImpl::increaseBufferShifting));
  
    getEventDispatcher().registerEvent(IEchoCancellation::decreaseBufferShifting_event, new TEDObject0<IEchoCancellationImpl, void(IEchoCancellationImpl:: * )(), void >(this, &IEchoCancellationImpl::decreaseBufferShifting));
  
    getEventDispatcher().registerEvent(IEchoCancellation::calculateBufferDelay_event, new TEDObject2<IEchoCancellationImpl, int, int, int(IEchoCancellationImpl:: * )(const int&, const int&), int >(this, &IEchoCancellationImpl::calculateBufferDelay));
  
    getEventDispatcher().registerEvent(IEchoCancellation::setDumpFile_event, new TEDObject1<IEchoCancellationImpl, string, void(IEchoCancellationImpl:: * )(const string&), void >(this, &IEchoCancellationImpl::setDumpFile));
  
    getEventDispatcher().registerEvent(IEchoCancellation::setCalcDelayMode_event, new TEDObject1<IEchoCancellationImpl, bool, void(IEchoCancellationImpl:: * )(const bool&), void >(this, &IEchoCancellationImpl::setCalcDelayMode));
  
    getEventDispatcher().registerEvent(IEchoCancellation::calcDelayFinished_event, new TEDObject1<IEchoCancellationImpl, int, void(IEchoCancellationImpl:: * )(const int&), void >(this, &IEchoCancellationImpl::calcDelayFinished));

  }

}


