
#include "IOutputJackImpl.hpp"

#include "IInputJack.hpp"
#include "INode.hpp"
#include "nmm/base/CommunicationChannel.hpp"


namespace NMM
{
  
  void IOutputJackImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IOutputJack::connectTo_event, new TEDObject1<IOutputJackImpl, IInputJack, CommunicationChannel*(IOutputJackImpl:: * )(const IInputJack&), CommunicationChannel* >(this, &IOutputJackImpl::connectTo));
  
    getEventDispatcher().registerEvent(IOutputJack::getDataPartner_event, new TEDObject0<IOutputJackImpl, IInputJack*(IOutputJackImpl:: * )(), IInputJack* >(this, &IOutputJackImpl::getDataPartner));
  
    getEventDispatcher().registerEvent(IOutputJack::getTransportStrategy_event, new TEDObject0<IOutputJackImpl, ITransportStrategy*(IOutputJackImpl:: * )(), ITransportStrategy* >(this, &IOutputJackImpl::getTransportStrategy));

  }

}


