
#include "IServerRegistryImpl.hpp"


namespace NMM
{
  
  void IServerRegistryImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IServerRegistry::getTransactionTimeout_event, new TEDObject0<IServerRegistryImpl, unsigned int(IServerRegistryImpl:: * )(), unsigned int >(this, &IServerRegistryImpl::getTransactionTimeout));
  
    getEventDispatcher().registerEvent(IServerRegistry::setTransactionTimeout_event, new TEDObject1<IServerRegistryImpl, unsigned int, void(IServerRegistryImpl:: * )(const unsigned int&), void >(this, &IServerRegistryImpl::setTransactionTimeout));
  
    getEventDispatcher().registerEvent(IServerRegistry::getNodeLeasingTime_event, new TEDObject0<IServerRegistryImpl, unsigned int(IServerRegistryImpl:: * )(), unsigned int >(this, &IServerRegistryImpl::getNodeLeasingTime));
  
    getEventDispatcher().registerEvent(IServerRegistry::setNodeLeasingTime_event, new TEDObject1<IServerRegistryImpl, unsigned int, void(IServerRegistryImpl:: * )(const unsigned int&), void >(this, &IServerRegistryImpl::setNodeLeasingTime));
  
    getEventDispatcher().registerEvent(IServerRegistry::refreshNodeLeasing_event, new TEDObject3<IServerRegistryImpl, RegistryID, ObjectID, UserInfo, unsigned int(IServerRegistryImpl:: * )(const RegistryID&, const ObjectID&, const UserInfo&), unsigned int >(this, &IServerRegistryImpl::refreshNodeLeasing));
  
    getEventDispatcher().registerEvent(IServerRegistry::refreshTransaction_event, new TEDObject1<IServerRegistryImpl, UserInfo, unsigned int(IServerRegistryImpl:: * )(const UserInfo&), unsigned int >(this, &IServerRegistryImpl::refreshTransaction));
  
    getEventDispatcher().registerEvent(IServerRegistry::startResourceManager_event, new TEDObject0<IServerRegistryImpl, void(IServerRegistryImpl:: * )(), void >(this, &IServerRegistryImpl::startResourceManager));
  
    getEventDispatcher().registerEvent(IServerRegistry::getResourceManager_event, new TEDObject0<IServerRegistryImpl, IResourceManager*(IServerRegistryImpl:: * )(), IResourceManager* >(this, &IServerRegistryImpl::getResourceManager));
  
    getEventDispatcher().registerEvent(IServerRegistry::releaseResourceManager_event, new TEDObject0<IServerRegistryImpl, void(IServerRegistryImpl:: * )(), void >(this, &IServerRegistryImpl::releaseResourceManager));
  
    getEventDispatcher().registerEvent(IServerRegistry::startIPerfServer_event, new TEDObject0<IServerRegistryImpl, void(IServerRegistryImpl:: * )(), void >(this, &IServerRegistryImpl::startIPerfServer));
  
    getEventDispatcher().registerEvent(IServerRegistry::stopIPerfServer_event, new TEDObject0<IServerRegistryImpl, void(IServerRegistryImpl:: * )(), void >(this, &IServerRegistryImpl::stopIPerfServer));
  
    getEventDispatcher().registerEvent(IServerRegistry::requestNMMObject_event, new TEDObject1<IServerRegistryImpl, ObjectDescription, Interface*(IServerRegistryImpl:: * )(const ObjectDescription&), Interface* >(this, &IServerRegistryImpl::requestNMMObject));
  
    getEventDispatcher().registerEvent(IServerRegistry::releaseNMMObject_event, new TEDObject1<IServerRegistryImpl, Interface, void(IServerRegistryImpl:: * )(const Interface&), void >(this, &IServerRegistryImpl::releaseNMMObject));
  
    getEventDispatcher().registerEvent(IServerRegistry::requestSharedGraph_event, new TEDObject2<IServerRegistryImpl, GraphDescription, UserInfo, ISession*(IServerRegistryImpl:: * )(GraphDescription&, const UserInfo&), ISession* >(this, &IServerRegistryImpl::requestSharedGraph));
  
    getEventDispatcher().registerEvent(IServerRegistry::releaseSession_event, new TEDObject2<IServerRegistryImpl, ISession, UserInfo, void(IServerRegistryImpl:: * )(const ISession&, const UserInfo&), void >(this, &IServerRegistryImpl::releaseSession));
  
    getEventDispatcher().registerEvent(IServerRegistry::releaseSharedNode_event, new TEDObject1<IServerRegistryImpl, INode, void(IServerRegistryImpl:: * )(const INode&), void >(this, &IServerRegistryImpl::releaseSharedNode));
  
    getEventDispatcher().registerEvent(IServerRegistry::initSession_event, new TEDObject3<IServerRegistryImpl, GraphDescription, UserInfo, ISession*, ISession*(IServerRegistryImpl:: * )(GraphDescription&, const UserInfo&, const ISession*), ISession* >(this, &IServerRegistryImpl::initSession));
  
    getEventDispatcher().registerEvent(IServerRegistry::requestGraph_event, new TEDObject2<IServerRegistryImpl, GraphDescription, UserInfo, void(IServerRegistryImpl:: * )(GraphDescription&, const UserInfo&), void >(this, &IServerRegistryImpl::requestGraph));

  }

}


