
#include "IMultiAudioVideoSynchronizerImpl.hpp"


namespace NMM
{
  
  void IMultiAudioVideoSynchronizerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IMultiAudioVideoSynchronizer::setMasterAudioSink_event, new TEDObject1<IMultiAudioVideoSynchronizerImpl, int, Result(IMultiAudioVideoSynchronizerImpl:: * )(const int&), Result >(this, &IMultiAudioVideoSynchronizerImpl::setMasterAudioSink));
  
    getEventDispatcher().registerEvent(IMultiAudioVideoSynchronizer::setAudioSkew_event, new TEDObject2<IMultiAudioVideoSynchronizerImpl, int, Interval, Result(IMultiAudioVideoSynchronizerImpl:: * )(const int&, const Interval&), Result >(this, &IMultiAudioVideoSynchronizerImpl::setAudioSkew));
  
    getEventDispatcher().registerEvent(IMultiAudioVideoSynchronizer::setVideoSkew_event, new TEDObject2<IMultiAudioVideoSynchronizerImpl, int, Interval, Result(IMultiAudioVideoSynchronizerImpl:: * )(const int&, const Interval&), Result >(this, &IMultiAudioVideoSynchronizerImpl::setVideoSkew));

  }

}


