
#ifndef NMM_IPNGWrite_HPP
#define NMM_IPNGWrite_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/Interface.hpp"
#include "nmm/base/Event.hpp"
#include <memory>


namespace NMM
{

  class IPNGWrite : virtual public Interface { 
  public:
    IPNGWrite() {  setTypeInfo(TypeInfo(IPNGWrite::IPNGWrite_type, "NMM")); };

    IPNGWrite(NMMObject& parent) : Interface(parent) {  setTypeInfo(TypeInfo(IPNGWrite::IPNGWrite_type, "NMM")); setEventReceiver(parent); };

    virtual ~IPNGWrite() {};

    static const char* IPNGWrite_type;

    virtual  string getInterfaceType() const { return IPNGWrite_type; }

    Interface* copy() const { return new IPNGWrite(*this); }
    static const char* setDiscardImages_event;

    virtual void setDiscardImages(const bool& discardImages)
      throw(const Exception&);


  };

  typedef auto_ptr<IPNGWrite> IPNGWrite_var;




}

#endif
