
#include "IRTPControlImpl.hpp"


namespace NMM
{
  
  void IRTPControlImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IRTPControl::setCNAME_event, new TEDObject1<IRTPControlImpl, string, void(IRTPControlImpl:: * )(const string&), void >(this, &IRTPControlImpl::setCNAME));
  
    getEventDispatcher().registerEvent(IRTPControl::getCNAME_event, new TEDObject0<IRTPControlImpl, string(IRTPControlImpl:: * )() const, string >(this, &IRTPControlImpl::getCNAME));
  
    getEventDispatcher().registerEvent(IRTPControl::setTTL_event, new TEDObject1<IRTPControlImpl, unsigned int, void(IRTPControlImpl:: * )(const unsigned int&), void >(this, &IRTPControlImpl::setTTL));
  
    getEventDispatcher().registerEvent(IRTPControl::getTTL_event, new TEDObject0<IRTPControlImpl, unsigned int(IRTPControlImpl:: * )() const, unsigned int >(this, &IRTPControlImpl::getTTL));
  
    getEventDispatcher().registerEvent(IRTPControl::setBufferSize_event, new TEDObject1<IRTPControlImpl, size_t, void(IRTPControlImpl:: * )(const size_t&), void >(this, &IRTPControlImpl::setBufferSize));
  
    getEventDispatcher().registerEvent(IRTPControl::getBufferSize_event, new TEDObject0<IRTPControlImpl, size_t(IRTPControlImpl:: * )() const, size_t >(this, &IRTPControlImpl::getBufferSize));
  
    getEventDispatcher().registerEvent(IRTPControl::setReceiveBufferSize_event, new TEDObject1<IRTPControlImpl, size_t, void(IRTPControlImpl:: * )(const size_t&), void >(this, &IRTPControlImpl::setReceiveBufferSize));
  
    getEventDispatcher().registerEvent(IRTPControl::getReceiveBufferSize_event, new TEDObject0<IRTPControlImpl, size_t(IRTPControlImpl:: * )() const, size_t >(this, &IRTPControlImpl::getReceiveBufferSize));
  
    getEventDispatcher().registerEvent(IRTPControl::setMaxFrameSize_event, new TEDObject1<IRTPControlImpl, size_t, void(IRTPControlImpl:: * )(const size_t&), void >(this, &IRTPControlImpl::setMaxFrameSize));
  
    getEventDispatcher().registerEvent(IRTPControl::getMaxFrameSize_event, new TEDObject0<IRTPControlImpl, size_t(IRTPControlImpl:: * )() const, size_t >(this, &IRTPControlImpl::getMaxFrameSize));
  
    getEventDispatcher().registerEvent(IRTPControl::setSessionBandwidth_event, new TEDObject1<IRTPControlImpl, unsigned int, void(IRTPControlImpl:: * )(const unsigned int&), void >(this, &IRTPControlImpl::setSessionBandwidth));
  
    getEventDispatcher().registerEvent(IRTPControl::getSessionBandwidth_event, new TEDObject0<IRTPControlImpl, unsigned int(IRTPControlImpl:: * )() const, unsigned int >(this, &IRTPControlImpl::getSessionBandwidth));

  }

}


