
#include "IVNCImpl.hpp"


namespace NMM
{
  
  void IVNCImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IVNC::setTolerance_event, new TEDObject1<IVNCImpl, float, void(IVNCImpl:: * )(const float&), void >(this, &IVNCImpl::setTolerance));
  
    getEventDispatcher().registerEvent(IVNC::setInterval_event, new TEDObject1<IVNCImpl, float, void(IVNCImpl:: * )(const float&), void >(this, &IVNCImpl::setInterval));
  
    getEventDispatcher().registerEvent(IVNC::setShared_event, new TEDObject1<IVNCImpl, bool, void(IVNCImpl:: * )(const bool&), void >(this, &IVNCImpl::setShared));
  
    getEventDispatcher().registerEvent(IVNC::getTolerance_event, new TEDObject0<IVNCImpl, float(IVNCImpl:: * )() const, float >(this, &IVNCImpl::getTolerance));
  
    getEventDispatcher().registerEvent(IVNC::getInterval_event, new TEDObject0<IVNCImpl, float(IVNCImpl:: * )() const, float >(this, &IVNCImpl::getInterval));
  
    getEventDispatcher().registerEvent(IVNC::setPasswd_event, new TEDObject1<IVNCImpl, string, void(IVNCImpl:: * )(const string&), void >(this, &IVNCImpl::setPasswd));
  
    getEventDispatcher().registerEvent(IVNC::setPasswdPath_event, new TEDObject1<IVNCImpl, string, void(IVNCImpl:: * )(const string&), void >(this, &IVNCImpl::setPasswdPath));
  
    getEventDispatcher().registerEvent(IVNC::setMode_event, new TEDObject1<IVNCImpl, IVNC::Mode, void(IVNCImpl:: * )(const IVNC::Mode&), void >(this, &IVNCImpl::setMode));
  
    getEventDispatcher().registerEvent(IVNC::isShared_event, new TEDObject0<IVNCImpl, bool(IVNCImpl:: * )() const, bool >(this, &IVNCImpl::isShared));
  
    getEventDispatcher().registerEvent(IVNC::sendKeyEvent_event, new TEDObject2<IVNCImpl, unsigned long, int, void(IVNCImpl:: * )(const unsigned long&, const int&), void >(this, &IVNCImpl::sendKeyEvent));
  
    getEventDispatcher().registerEvent(IVNC::sendPointerEvent_event, new TEDObject3<IVNCImpl, int, int, int, void(IVNCImpl:: * )(const int&, const int&, const int&), void >(this, &IVNCImpl::sendPointerEvent));
  
    getEventDispatcher().registerEvent(IVNC::sendFrameBufferUpdateRequest_event, new TEDObject0<IVNCImpl, void(IVNCImpl:: * )(), void >(this, &IVNCImpl::sendFrameBufferUpdateRequest));

  }

}


