
#include "IScalerImpl.hpp"


namespace NMM
{
  
  void IScalerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IScaler::setAutoAspect_event, new TEDObject1<IScalerImpl, bool, void(IScalerImpl:: * )(const bool&), void >(this, &IScalerImpl::setAutoAspect));
  
    getEventDispatcher().registerEvent(IScaler::setFiltering_event, new TEDObject1<IScalerImpl, bool, void(IScalerImpl:: * )(const bool&), void >(this, &IScalerImpl::setFiltering));
  
    getEventDispatcher().registerEvent(IScaler::setOutputSize_event, new TEDObject2<IScalerImpl, int, int, void(IScalerImpl:: * )(const int&, const int&), void >(this, &IScalerImpl::setOutputSize));
  
    getEventDispatcher().registerEvent(IScaler::getOutputSize_event, new TEDObject2<IScalerImpl, int, int, void(IScalerImpl:: * )(int&, int&) const, void >(this, &IScalerImpl::getOutputSize));
  
    getEventDispatcher().registerEvent(IScaler::getAutoAspect_event, new TEDObject0<IScalerImpl, bool(IScalerImpl:: * )() const, bool >(this, &IScalerImpl::getAutoAspect));
  
    getEventDispatcher().registerEvent(IScaler::getFiltering_event, new TEDObject0<IScalerImpl, bool(IScalerImpl:: * )() const, bool >(this, &IScalerImpl::getFiltering));

  }

}


