
#include "IVideoDisplayImpl.hpp"


namespace NMM
{
  
  void IVideoDisplayImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IVideoDisplay::setFullscreen_event, new TEDObject1<IVideoDisplayImpl, bool, void(IVideoDisplayImpl:: * )(const bool&), void >(this, &IVideoDisplayImpl::setFullscreen));
  
    getEventDispatcher().registerEvent(IVideoDisplay::getFullscreen_event, new TEDObject0<IVideoDisplayImpl, bool(IVideoDisplayImpl:: * )() const, bool >(this, &IVideoDisplayImpl::getFullscreen));
  
    getEventDispatcher().registerEvent(IVideoDisplay::hasFullscreen_event, new TEDObject0<IVideoDisplayImpl, bool(IVideoDisplayImpl:: * )() const, bool >(this, &IVideoDisplayImpl::hasFullscreen));
  
    getEventDispatcher().registerEvent(IVideoDisplay::isFullscreenOnly_event, new TEDObject0<IVideoDisplayImpl, bool(IVideoDisplayImpl:: * )() const, bool >(this, &IVideoDisplayImpl::isFullscreenOnly));
  
    getEventDispatcher().registerEvent(IVideoDisplay::makeScreenshot_event, new TEDObject1<IVideoDisplayImpl, string, bool(IVideoDisplayImpl:: * )(const string&) const, bool >(this, &IVideoDisplayImpl::makeScreenshot));
  
    getEventDispatcher().registerEvent(IVideoDisplay::setLeftWindowAlignment_event, new TEDObject0<IVideoDisplayImpl, void(IVideoDisplayImpl:: * )(), void >(this, &IVideoDisplayImpl::setLeftWindowAlignment));
    getEventDispatcher().addLimited(IVideoDisplay::setLeftWindowAlignment_event, INode::CONSTRUCTED);
    getEventDispatcher().addLimited(IVideoDisplay::setLeftWindowAlignment_event, INode::INITIALIZED);
  
    getEventDispatcher().registerEvent(IVideoDisplay::setRightWindowAlignment_event, new TEDObject0<IVideoDisplayImpl, void(IVideoDisplayImpl:: * )(), void >(this, &IVideoDisplayImpl::setRightWindowAlignment));
    getEventDispatcher().addLimited(IVideoDisplay::setRightWindowAlignment_event, INode::CONSTRUCTED);
    getEventDispatcher().addLimited(IVideoDisplay::setRightWindowAlignment_event, INode::INITIALIZED);
  
    getEventDispatcher().registerEvent(IVideoDisplay::setCenterWindowAlignment_event, new TEDObject0<IVideoDisplayImpl, void(IVideoDisplayImpl:: * )(), void >(this, &IVideoDisplayImpl::setCenterWindowAlignment));
    getEventDispatcher().addLimited(IVideoDisplay::setCenterWindowAlignment_event, INode::CONSTRUCTED);
    getEventDispatcher().addLimited(IVideoDisplay::setCenterWindowAlignment_event, INode::INITIALIZED);

  }

}


