
#ifndef NMM_IMPEGVideoEncoderImpl_HPP
#define NMM_IMPEGVideoEncoderImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IMPEGVideoEncoder.hpp"


namespace NMM
{

  class IMPEGVideoEncoderImpl  : public virtual NMMObject { 
  public:
    IMPEGVideoEncoderImpl() { addInterface(new IMPEGVideoEncoder(*this)); registerEvents(); };

    virtual ~IMPEGVideoEncoderImpl() {};

  protected:

    virtual void setMPEGVersion(const unsigned int& version) = 0;

    virtual void setEncodingThreadCount(const unsigned int& number) = 0;


  private:
    void registerEvents();
  };

}

#endif
