%
%
%command:       clic shared_dvb_state.gd

DVBSimulatorNode #setLocation("sparrow") #setSharingType(SHARED_OR_EXCLUSIVE_THEN_SHARED)
! MPEGTimeShiftingNode #setLocation("sparrow") #setSharingType(SHARED_OR_EXCLUSIVE_THEN_SHARED)
  $ setFilename("/tmp/tsbuffer") CONSTRUCTED
  $ setFileBufferThreshhold(32000) CONSTRUCTED
  $ enableMemBuf(60) CONSTRUCTED

! MPEGDemuxNode  #setLocation("sparrow") #setSharingType(SHARED_OR_EXCLUSIVE_THEN_SHARED)
{
        { ["mpeg_video0"] ! MPEGVideoDecodeNode  #setSharingType(SHARED_OR_EXCLUSIVE_THEN_SHARED) #setLocation("sparrow")
                            $ setDownstreamMaxSize(100, "default") CONSTRUCTED
                          !YUVDeInterlaceNode #setSharingType(SHARED_OR_EXCLUSIVE_THEN_SHARED) #setLocation("sparrow")
                            $ setSwitchOutputsEnabled("true") ACTIVATED
                          ! BufferDropNode       #setSharingType(SHARED_OR_EXCLUSIVE_THEN_SHARED) #setLocation("sparrow")
                          ! VideoScalerNode      #setSharingType(SHARED_OR_EXCLUSIVE_THEN_SHARED) #setLocation("sparrow")
                            @ Format(x_resolution=320, y_resolution=240, ratio_x=320, ratio_y=240)
                          ! FFMpegEncodeNode     #setSharingType(SHARED_OR_EXCLUSIVE_THEN_SHARED) #setLocation("sparrow")
                            @ Format(bitrate = 300000)
                          ! FFMpegDecodeNode     #setSharingType(EXCLUSIVE)          #setLocation("localhost")
                          ! XDisplayNode         #setSharingType(EXCLUSIVE)          #setLocation("localhost")
        }
        { ["mpeg_audio0"] ! MPEGAudioDecodeNode  #setSharingType(SHARED_OR_EXCLUSIVE_THEN_SHARED) #setLocation("sparrow")
                            $ setSwitchOutputsEnabled("true") ACTIVATED
                            $ setDownstreamMaxSize(100, "default") CONSTRUCTED
                          ! MPEGAudioEncodeNode  #setSharingType(SHARED_OR_EXCLUSIVE_THEN_SHARED) #setLocation("sparrow")
                            @ Format(bitrate = 128000)
                          ! MPEGAudioDecodeNode  #setSharingType(EXCLUSIVE)       #setLocation("localhost")
                          ! PlaybackNode         #setSharingType(EXCLUSIVE)       #setLocation("localhost")
        }
}
