
#include "IIcecastImpl.hpp"


namespace NMM
{
  
  void IIcecastImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IIcecast::setServerIP_event, new TEDObject1<IIcecastImpl, string, Result(IIcecastImpl:: * )(const string&), Result >(this, &IIcecastImpl::setServerIP));
    getEventDispatcher().addLimited(IIcecast::setServerIP_event, INode::INITIALIZED);
    getEventDispatcher().addRequired(IIcecast::setServerIP_event, INode::INITIALIZED, INode::ACTIVATED);
  
    getEventDispatcher().registerEvent(IIcecast::setServerPort_event, new TEDObject1<IIcecastImpl, int, Result(IIcecastImpl:: * )(const int&), Result >(this, &IIcecastImpl::setServerPort));
    getEventDispatcher().addLimited(IIcecast::setServerPort_event, INode::INITIALIZED);
    getEventDispatcher().addRequired(IIcecast::setServerPort_event, INode::INITIALIZED, INode::ACTIVATED);
  
    getEventDispatcher().registerEvent(IIcecast::setServerPassword_event, new TEDObject1<IIcecastImpl, string, Result(IIcecastImpl:: * )(const string&), Result >(this, &IIcecastImpl::setServerPassword));
    getEventDispatcher().addLimited(IIcecast::setServerPassword_event, INode::INITIALIZED);
    getEventDispatcher().addRequired(IIcecast::setServerPassword_event, INode::INITIALIZED, INode::ACTIVATED);
  
    getEventDispatcher().registerEvent(IIcecast::setUser_event, new TEDObject1<IIcecastImpl, string, Result(IIcecastImpl:: * )(const string&), Result >(this, &IIcecastImpl::setUser));
    getEventDispatcher().addLimited(IIcecast::setUser_event, INode::INITIALIZED);
    getEventDispatcher().addRequired(IIcecast::setUser_event, INode::INITIALIZED, INode::ACTIVATED);
  
    getEventDispatcher().registerEvent(IIcecast::setMountpoint_event, new TEDObject1<IIcecastImpl, string, Result(IIcecastImpl:: * )(const string&), Result >(this, &IIcecastImpl::setMountpoint));
    getEventDispatcher().addLimited(IIcecast::setMountpoint_event, INode::INITIALIZED);
    getEventDispatcher().addRequired(IIcecast::setMountpoint_event, INode::INITIALIZED, INode::ACTIVATED);
  
    getEventDispatcher().registerEvent(IIcecast::setTitle_event, new TEDObject1<IIcecastImpl, string, Result(IIcecastImpl:: * )(const string&), Result >(this, &IIcecastImpl::setTitle));
    getEventDispatcher().addLimited(IIcecast::setTitle_event, INode::INITIALIZED);
  
    getEventDispatcher().registerEvent(IIcecast::setStreamName_event, new TEDObject1<IIcecastImpl, string, Result(IIcecastImpl:: * )(const string&), Result >(this, &IIcecastImpl::setStreamName));
    getEventDispatcher().addLimited(IIcecast::setStreamName_event, INode::INITIALIZED);
  
    getEventDispatcher().registerEvent(IIcecast::setGenre_event, new TEDObject1<IIcecastImpl, string, Result(IIcecastImpl:: * )(const string&), Result >(this, &IIcecastImpl::setGenre));
    getEventDispatcher().addLimited(IIcecast::setGenre_event, INode::INITIALIZED);
  
    getEventDispatcher().registerEvent(IIcecast::setDescription_event, new TEDObject1<IIcecastImpl, string, Result(IIcecastImpl:: * )(const string&), Result >(this, &IIcecastImpl::setDescription));
    getEventDispatcher().addLimited(IIcecast::setDescription_event, INode::INITIALIZED);
  
    getEventDispatcher().registerEvent(IIcecast::setURL_event, new TEDObject1<IIcecastImpl, string, Result(IIcecastImpl:: * )(const string&), Result >(this, &IIcecastImpl::setURL));
    getEventDispatcher().addLimited(IIcecast::setURL_event, INode::INITIALIZED);
  
    getEventDispatcher().registerEvent(IIcecast::setPublic_event, new TEDObject1<IIcecastImpl, int, Result(IIcecastImpl:: * )(const int&), Result >(this, &IIcecastImpl::setPublic));
    getEventDispatcher().addLimited(IIcecast::setPublic_event, INode::INITIALIZED);
  
    getEventDispatcher().registerEvent(IIcecast::setSendTitle_event, new TEDObject1<IIcecastImpl, bool, Result(IIcecastImpl:: * )(const bool&), Result >(this, &IIcecastImpl::setSendTitle));
    getEventDispatcher().addLimited(IIcecast::setSendTitle_event, INode::INITIALIZED);

  }

}


