
#include "ILADSPAImpl.hpp"


namespace NMM
{
  
  void ILADSPAImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ILADSPA::addLADSPAPlugin_event, new TEDObject3<ILADSPAImpl, string, string, unsigned int, bool(ILADSPAImpl:: * )(const string&, string&, unsigned int&), bool >(this, &ILADSPAImpl::addLADSPAPlugin));
  
    getEventDispatcher().registerEvent(ILADSPA::removeLADSPAPluginByName_event, new TEDObject1<ILADSPAImpl, string, void(ILADSPAImpl:: * )(const string&), void >(this, &ILADSPAImpl::removeLADSPAPluginByName));
  
    getEventDispatcher().registerEvent(ILADSPA::removeLADSPAPluginByIndex_event, new TEDObject1<ILADSPAImpl, unsigned int, void(ILADSPAImpl:: * )(const unsigned int&), void >(this, &ILADSPAImpl::removeLADSPAPluginByIndex));
  
    getEventDispatcher().registerEvent(ILADSPA::getLADSPAPluginCount_event, new TEDObject0<ILADSPAImpl, unsigned int(ILADSPAImpl:: * )(), unsigned int >(this, &ILADSPAImpl::getLADSPAPluginCount));
  
    getEventDispatcher().registerEvent(ILADSPA::setConfigFilename_event, new TEDObject1<ILADSPAImpl, string, void(ILADSPAImpl:: * )(const string&), void >(this, &ILADSPAImpl::setConfigFilename));
  
    getEventDispatcher().registerEvent(ILADSPA::setConfigProfileByName_event, new TEDObject2<ILADSPAImpl, string, string, void(ILADSPAImpl:: * )(const string&, const string&), void >(this, &ILADSPAImpl::setConfigProfileByName));
  
    getEventDispatcher().registerEvent(ILADSPA::setConfigProfileByIndex_event, new TEDObject2<ILADSPAImpl, unsigned int, string, void(ILADSPAImpl:: * )(const unsigned int&, const string&), void >(this, &ILADSPAImpl::setConfigProfileByIndex));
  
    getEventDispatcher().registerEvent(ILADSPA::resetToBaseValuesByName_event, new TEDObject1<ILADSPAImpl, string, void(ILADSPAImpl:: * )(const string&), void >(this, &ILADSPAImpl::resetToBaseValuesByName));
  
    getEventDispatcher().registerEvent(ILADSPA::resetToBaseValuesByIndex_event, new TEDObject1<ILADSPAImpl, unsigned int, void(ILADSPAImpl:: * )(const unsigned int&), void >(this, &ILADSPAImpl::resetToBaseValuesByIndex));
  
    getEventDispatcher().registerEvent(ILADSPA::setControlInValueByName_event, new TEDObject3<ILADSPAImpl, string, unsigned int, float, void(ILADSPAImpl:: * )(const string&, const unsigned int&, const float&), void >(this, &ILADSPAImpl::setControlInValueByName));
  
    getEventDispatcher().registerEvent(ILADSPA::setControlInValueByIndex_event, new TEDObject3<ILADSPAImpl, unsigned int, unsigned int, float, void(ILADSPAImpl:: * )(const unsigned int&, const unsigned int&, const float&), void >(this, &ILADSPAImpl::setControlInValueByIndex));
  
    getEventDispatcher().registerEvent(ILADSPA::getControlInValueByName_event, new TEDObject2<ILADSPAImpl, string, unsigned int, float(ILADSPAImpl:: * )(const string&, const unsigned int&), float >(this, &ILADSPAImpl::getControlInValueByName));
  
    getEventDispatcher().registerEvent(ILADSPA::getControlInValueByIndex_event, new TEDObject2<ILADSPAImpl, unsigned int, unsigned int, float(ILADSPAImpl:: * )(const unsigned int&, const unsigned int&), float >(this, &ILADSPAImpl::getControlInValueByIndex));
  
    getEventDispatcher().registerEvent(ILADSPA::getControlInNameByName_event, new TEDObject2<ILADSPAImpl, string, unsigned int, string(ILADSPAImpl:: * )(const string&, const unsigned int&), string >(this, &ILADSPAImpl::getControlInNameByName));
  
    getEventDispatcher().registerEvent(ILADSPA::getControlInNameByIndex_event, new TEDObject2<ILADSPAImpl, unsigned int, unsigned int, string(ILADSPAImpl:: * )(const unsigned int&, const unsigned int&), string >(this, &ILADSPAImpl::getControlInNameByIndex));
  
    getEventDispatcher().registerEvent(ILADSPA::setControlInBaseByName_event, new TEDObject3<ILADSPAImpl, string, unsigned int, float, void(ILADSPAImpl:: * )(const string&, const unsigned int&, const float&), void >(this, &ILADSPAImpl::setControlInBaseByName));
  
    getEventDispatcher().registerEvent(ILADSPA::setControlInBaseByIndex_event, new TEDObject3<ILADSPAImpl, unsigned int, unsigned int, float, void(ILADSPAImpl:: * )(const unsigned int&, const unsigned int&, const float&), void >(this, &ILADSPAImpl::setControlInBaseByIndex));
  
    getEventDispatcher().registerEvent(ILADSPA::getControlInBaseByName_event, new TEDObject2<ILADSPAImpl, string, unsigned int, float(ILADSPAImpl:: * )(const string&, const unsigned int&), float >(this, &ILADSPAImpl::getControlInBaseByName));
  
    getEventDispatcher().registerEvent(ILADSPA::getControlInBaseByIndex_event, new TEDObject2<ILADSPAImpl, unsigned int, unsigned int, float(ILADSPAImpl:: * )(const unsigned int&, const unsigned int&), float >(this, &ILADSPAImpl::getControlInBaseByIndex));
  
    getEventDispatcher().registerEvent(ILADSPA::getLADSPAPluginIndex_event, new TEDObject1<ILADSPAImpl, string, unsigned int(ILADSPAImpl:: * )(const string&), unsigned int >(this, &ILADSPAImpl::getLADSPAPluginIndex));
  
    getEventDispatcher().registerEvent(ILADSPA::getLADSPAPluginName_event, new TEDObject1<ILADSPAImpl, unsigned int, string(ILADSPAImpl:: * )(const unsigned int&), string >(this, &ILADSPAImpl::getLADSPAPluginName));
  
    getEventDispatcher().registerEvent(ILADSPA::getControlInCountByName_event, new TEDObject1<ILADSPAImpl, string, unsigned int(ILADSPAImpl:: * )(const string&), unsigned int >(this, &ILADSPAImpl::getControlInCountByName));
  
    getEventDispatcher().registerEvent(ILADSPA::getControlInCountByIndex_event, new TEDObject1<ILADSPAImpl, unsigned int, unsigned int(ILADSPAImpl:: * )(const unsigned int&), unsigned int >(this, &ILADSPAImpl::getControlInCountByIndex));
  
    getEventDispatcher().registerEvent(ILADSPA::hasControlInUpperBoundByName_event, new TEDObject2<ILADSPAImpl, string, unsigned int, bool(ILADSPAImpl:: * )(const string&, const unsigned int&), bool >(this, &ILADSPAImpl::hasControlInUpperBoundByName));
  
    getEventDispatcher().registerEvent(ILADSPA::hasControlInUpperBoundByIndex_event, new TEDObject2<ILADSPAImpl, unsigned int, unsigned int, bool(ILADSPAImpl:: * )(const unsigned int&, const unsigned int&), bool >(this, &ILADSPAImpl::hasControlInUpperBoundByIndex));
  
    getEventDispatcher().registerEvent(ILADSPA::hasControlInLowerBoundByName_event, new TEDObject2<ILADSPAImpl, string, unsigned int, bool(ILADSPAImpl:: * )(const string&, const unsigned int&), bool >(this, &ILADSPAImpl::hasControlInLowerBoundByName));
  
    getEventDispatcher().registerEvent(ILADSPA::hasControlInLowerBoundByIndex_event, new TEDObject2<ILADSPAImpl, unsigned int, unsigned int, bool(ILADSPAImpl:: * )(const unsigned int&, const unsigned int&), bool >(this, &ILADSPAImpl::hasControlInLowerBoundByIndex));
  
    getEventDispatcher().registerEvent(ILADSPA::getControlInBoundsByName_event, new TEDObject4<ILADSPAImpl, string, unsigned int, float, float, void(ILADSPAImpl:: * )(const string&, const unsigned int&, float&, float&), void >(this, &ILADSPAImpl::getControlInBoundsByName));
  
    getEventDispatcher().registerEvent(ILADSPA::getControlInBoundsByIndex_event, new TEDObject4<ILADSPAImpl, unsigned int, unsigned int, float, float, void(ILADSPAImpl:: * )(const unsigned int&, const unsigned int&, float&, float&), void >(this, &ILADSPAImpl::getControlInBoundsByIndex));
  
    getEventDispatcher().registerEvent(ILADSPA::getLADSPAPluginRealNameByName_event, new TEDObject1<ILADSPAImpl, string, string(ILADSPAImpl:: * )(const string&), string >(this, &ILADSPAImpl::getLADSPAPluginRealNameByName));
  
    getEventDispatcher().registerEvent(ILADSPA::getLADSPAPluginRealNameByIndex_event, new TEDObject1<ILADSPAImpl, unsigned int, string(ILADSPAImpl:: * )(const unsigned int&), string >(this, &ILADSPAImpl::getLADSPAPluginRealNameByIndex));
  
    getEventDispatcher().registerEvent(ILADSPA::getLADSPAPluginLabelByName_event, new TEDObject1<ILADSPAImpl, string, string(ILADSPAImpl:: * )(const string&), string >(this, &ILADSPAImpl::getLADSPAPluginLabelByName));
  
    getEventDispatcher().registerEvent(ILADSPA::getLADSPAPluginLabelByIndex_event, new TEDObject1<ILADSPAImpl, unsigned int, string(ILADSPAImpl:: * )(const unsigned int&), string >(this, &ILADSPAImpl::getLADSPAPluginLabelByIndex));
  
    getEventDispatcher().registerEvent(ILADSPA::getLADSPAPluginLibraryNameByName_event, new TEDObject1<ILADSPAImpl, string, string(ILADSPAImpl:: * )(const string&), string >(this, &ILADSPAImpl::getLADSPAPluginLibraryNameByName));
  
    getEventDispatcher().registerEvent(ILADSPA::getLADSPAPluginLibraryNameByIndex_event, new TEDObject1<ILADSPAImpl, unsigned int, string(ILADSPAImpl:: * )(const unsigned int&), string >(this, &ILADSPAImpl::getLADSPAPluginLibraryNameByIndex));

  }

}


