
#ifndef NMM_IBufferManagerImpl_HPP
#define NMM_IBufferManagerImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IBufferManager.hpp"


namespace NMM
{

  class IBufferManagerImpl  : public virtual NMMObject { 
  public:
    IBufferManagerImpl() { addInterface(new IBufferManager(*this)); registerEvents(); };

    virtual ~IBufferManagerImpl() {};

  protected:

    virtual NMMReference getBufferManager() = 0;

    virtual Result useBufferManager(const IBufferManager& manager) = 0;

    virtual void releaseBufferManager() = 0;


  private:
    void registerEvents();
  };

}

#endif
