
#include "ICompositeStrategyImpl.hpp"


namespace NMM
{
  
  void ICompositeStrategyImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ICompositeStrategy::getBufferChildStrategy_event, new TEDObject0<ICompositeStrategyImpl, ITransportStrategy*(ICompositeStrategyImpl:: * )() const, ITransportStrategy* >(this, &ICompositeStrategyImpl::getBufferChildStrategy));
  
    getEventDispatcher().registerEvent(ICompositeStrategy::getEventChildStrategy_event, new TEDObject0<ICompositeStrategyImpl, ITransportStrategy*(ICompositeStrategyImpl:: * )() const, ITransportStrategy* >(this, &ICompositeStrategyImpl::getEventChildStrategy));
  
    getEventDispatcher().registerEvent(ICompositeStrategy::setMode_event, new TEDObject1<ICompositeStrategyImpl, ICompositeStrategy::Mode, void(ICompositeStrategyImpl:: * )(const ICompositeStrategy::Mode&), void >(this, &ICompositeStrategyImpl::setMode));
  
    getEventDispatcher().registerEvent(ICompositeStrategy::setLossInterval_event, new TEDObject1<ICompositeStrategyImpl, unsigned int, void(ICompositeStrategyImpl:: * )(const unsigned int&), void >(this, &ICompositeStrategyImpl::setLossInterval));
  
    getEventDispatcher().registerEvent(ICompositeStrategy::connectToCompositeBuffer_event, new TEDObject0<ICompositeStrategyImpl, void(ICompositeStrategyImpl:: * )(), void >(this, &ICompositeStrategyImpl::connectToCompositeBuffer));
  
    getEventDispatcher().registerEvent(ICompositeStrategy::connectToCompositeEvent_event, new TEDObject0<ICompositeStrategyImpl, void(ICompositeStrategyImpl:: * )(), void >(this, &ICompositeStrategyImpl::connectToCompositeEvent));
  
    getEventDispatcher().registerEvent(ICompositeStrategy::eventReceived_event, new TEDObject1<ICompositeStrategyImpl, int, void(ICompositeStrategyImpl:: * )(const int&), void >(this, &ICompositeStrategyImpl::eventReceived));

  }

}


