
#include "IAudioDeviceImpl.hpp"


namespace NMM
{
  
  void IAudioDeviceImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IAudioDevice::setMixerDevice_event, new TEDObject1<IAudioDeviceImpl, string, void(IAudioDeviceImpl:: * )(const string&), void >(this, &IAudioDeviceImpl::setMixerDevice));
  
    getEventDispatcher().registerEvent(IAudioDevice::getMixerDevice_event, new TEDObject0<IAudioDeviceImpl, string(IAudioDeviceImpl:: * )() const, string >(this, &IAudioDeviceImpl::getMixerDevice));
  
    getEventDispatcher().registerEvent(IAudioDevice::increaseVolume_event, new TEDObject0<IAudioDeviceImpl, void(IAudioDeviceImpl:: * )(), void >(this, &IAudioDeviceImpl::increaseVolume));
  
    getEventDispatcher().registerEvent(IAudioDevice::decreaseVolume_event, new TEDObject0<IAudioDeviceImpl, void(IAudioDeviceImpl:: * )(), void >(this, &IAudioDeviceImpl::decreaseVolume));
  
    getEventDispatcher().registerEvent(IAudioDevice::setVolume_event, new TEDObject1<IAudioDeviceImpl, int, void(IAudioDeviceImpl:: * )(const int&), void >(this, &IAudioDeviceImpl::setVolume));
  
    getEventDispatcher().registerEvent(IAudioDevice::getVolume_event, new TEDObject0<IAudioDeviceImpl, int(IAudioDeviceImpl:: * )(), int >(this, &IAudioDeviceImpl::getVolume));

  }

}


