
#ifndef NMM_IFileSizeImpl_HPP
#define NMM_IFileSizeImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IFileSize.hpp"


namespace NMM
{

  class IFileSizeImpl  : public virtual NMMObject { 
  public:
    IFileSizeImpl() { addInterface(new IFileSize(*this)); registerEvents(); };

    virtual ~IFileSizeImpl() {};

  protected:

    virtual bool hasFileSize() = 0;

    virtual void getFileSize(u_int64_t& bytes) = 0;


  private:
    void registerEvents();
  };

}

#endif
