
#ifndef NMM_IMultipleSourceFileHandler_HPP
#define NMM_IMultipleSourceFileHandler_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/Interface.hpp"
#include "nmm/base/Event.hpp"
#include <memory>

#include "nmm/interfaces/base/INode.hpp"

namespace NMM
{

  class IMultipleSourceFileHandler : virtual public Interface { 
  public:
    IMultipleSourceFileHandler() {  setTypeInfo(TypeInfo(IMultipleSourceFileHandler::IMultipleSourceFileHandler_type, "NMM")); };

    IMultipleSourceFileHandler(NMMObject& parent) : Interface(parent) {  setTypeInfo(TypeInfo(IMultipleSourceFileHandler::IMultipleSourceFileHandler_type, "NMM")); setEventReceiver(parent); };

    virtual ~IMultipleSourceFileHandler() {};

    static const char* IMultipleSourceFileHandler_type;

    virtual  string getInterfaceType() const { return IMultipleSourceFileHandler_type; }

    Interface* copy() const { return new IMultipleSourceFileHandler(*this); }
    static const char* addFilename_event;

    virtual void addFilename(const string& name) /* limited(INode::CONSTRUCTED) */ /* limited(INode::INITIALIZED) */
      throw(const Exception&, const IllegalStateException&);


  };

  typedef auto_ptr<IMultipleSourceFileHandler> IMultipleSourceFileHandler_var;




}

#endif
