
#ifndef NMM_ISinkFileHandlerImpl_HPP
#define NMM_ISinkFileHandlerImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "ISinkFileHandler.hpp"

#include "IFileHandlerImpl.hpp"
#include "ITrackImpl.hpp"

namespace NMM
{

  class ISinkFileHandlerImpl  : virtual public IFileHandlerImpl { 
  public:
    ISinkFileHandlerImpl() { addInterface(new ISinkFileHandler(*this)); registerEvents(); };

    virtual ~ISinkFileHandlerImpl() {};

  protected:

    virtual void setWorkingDirectory(const string& directory) = 0;

    virtual string getWorkingDirectory() = 0;

    virtual void setFileExtension(const string& extension) = 0;

    virtual string getFileExtension() = 0;


  private:
    void registerEvents();
  };

}

#endif
