
#include "ITVGuidePeerObjectImpl.hpp"


namespace NMM
{
  
  void ITVGuidePeerObjectImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ITVGuidePeerObject::peerResult_event, new TEDObject3<ITVGuidePeerObjectImpl, ProgramDescriptionList, int, list<Interface* > , Result(ITVGuidePeerObjectImpl:: * )(const ProgramDescriptionList&, const int&, const list<Interface* > &), Result >(this, &ITVGuidePeerObjectImpl::peerResult));
  
    getEventDispatcher().registerEvent(ITVGuidePeerObject::peerChannelResult_event, new TEDObject2<ITVGuidePeerObjectImpl, ChannelDescriptionList, list<Interface* > , Result(ITVGuidePeerObjectImpl:: * )(const ChannelDescriptionList&, const list<Interface* > &), Result >(this, &ITVGuidePeerObjectImpl::peerChannelResult));

  }
  
  void ITVGuidePeerSearchImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ITVGuidePeerSearch::peerSearch_event, new TEDObject2<ITVGuidePeerSearchImpl, ProgramFilter, list<Interface* > , Result(ITVGuidePeerSearchImpl:: * )(const ProgramFilter&, const list<Interface* > &), Result >(this, &ITVGuidePeerSearchImpl::peerSearch));
  
    getEventDispatcher().registerEvent(ITVGuidePeerSearch::peerChannelSearch_event, new TEDObject1<ITVGuidePeerSearchImpl, list<Interface* > , Result(ITVGuidePeerSearchImpl:: * )(const list<Interface* > &), Result >(this, &ITVGuidePeerSearchImpl::peerChannelSearch));

  }

}


