
#include "ITVManagerImpl.hpp"


namespace NMM
{
  
  void ITVManagerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ITVManager::setChannel_event, new TEDObject1<ITVManagerImpl, unsigned int, Result(ITVManagerImpl:: * )(const unsigned int&), Result >(this, &ITVManagerImpl::setChannel));
  
    getEventDispatcher().registerEvent(ITVManager::channelUp_event, new TEDObject0<ITVManagerImpl, Result(ITVManagerImpl:: * )(), Result >(this, &ITVManagerImpl::channelUp));
  
    getEventDispatcher().registerEvent(ITVManager::channelDown_event, new TEDObject0<ITVManagerImpl, Result(ITVManagerImpl:: * )(), Result >(this, &ITVManagerImpl::channelDown));
  
    getEventDispatcher().registerEvent(ITVManager::getTVCard_event, new TEDObject0<ITVManagerImpl, INode*(ITVManagerImpl:: * )(), INode* >(this, &ITVManagerImpl::getTVCard));
  
    getEventDispatcher().registerEvent(ITVManager::startGraph_event, new TEDObject0<ITVManagerImpl, Result(ITVManagerImpl:: * )(), Result >(this, &ITVManagerImpl::startGraph));
  
    getEventDispatcher().registerEvent(ITVManager::setUsageNotify_event, new TEDObject1<ITVManagerImpl, IUsageNotify*, void(ITVManagerImpl:: * )(const IUsageNotify*), void >(this, &ITVManagerImpl::setUsageNotify));
  
    getEventDispatcher().registerEvent(ITVManager::releaseGraph_event, new TEDObject0<ITVManagerImpl, void(ITVManagerImpl:: * )(), void >(this, &ITVManagerImpl::releaseGraph));
  
    getEventDispatcher().registerEvent(ITVManager::switchingSource_event, new TEDObject0<ITVManagerImpl, Result(ITVManagerImpl:: * )(), Result >(this, &ITVManagerImpl::switchingSource));
  
    getEventDispatcher().registerEvent(ITVManager::sharedSource_event, new TEDObject0<ITVManagerImpl, Result(ITVManagerImpl:: * )(), Result >(this, &ITVManagerImpl::sharedSource));
  
    getEventDispatcher().registerEvent(ITVManager::skippingChannel_event, new TEDObject0<ITVManagerImpl, Result(ITVManagerImpl:: * )(), Result >(this, &ITVManagerImpl::skippingChannel));

  }

}


