
#include "INetClientImpl.hpp"


namespace NMM
{
  
  void INetClientImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(INetClient::setHostname_event, new TEDObject1<INetClientImpl, string, void(INetClientImpl:: * )(const string&), void >(this, &INetClientImpl::setHostname));
  
    getEventDispatcher().registerEvent(INetClient::setPort_event, new TEDObject1<INetClientImpl, int, void(INetClientImpl:: * )(const int&), void >(this, &INetClientImpl::setPort));
  
    getEventDispatcher().registerEvent(INetClient::setProtocol_event, new TEDObject1<INetClientImpl, string, void(INetClientImpl:: * )(const string&), void >(this, &INetClientImpl::setProtocol));
  
    getEventDispatcher().registerEvent(INetClient::getHostname_event, new TEDObject0<INetClientImpl, string(INetClientImpl:: * )() const, string >(this, &INetClientImpl::getHostname));
  
    getEventDispatcher().registerEvent(INetClient::getPort_event, new TEDObject0<INetClientImpl, int(INetClientImpl:: * )() const, int >(this, &INetClientImpl::getPort));
  
    getEventDispatcher().registerEvent(INetClient::getProtocol_event, new TEDObject0<INetClientImpl, string(INetClientImpl:: * )() const, string >(this, &INetClientImpl::getProtocol));
  
    getEventDispatcher().registerEvent(INetClient::connectionLost_event, new TEDObject0<INetClientImpl, void(INetClientImpl:: * )(), void >(this, &INetClientImpl::connectionLost));

  }

}


