
#include "IObjectAcceptorImpl.hpp"


namespace NMM
{
  
  void IObjectAcceptorImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IObjectAcceptor::connectToObject_event, new TEDObject1<IObjectAcceptorImpl, NMMReference, void(IObjectAcceptorImpl:: * )(const NMMReference&), void >(this, &IObjectAcceptorImpl::connectToObject));
  
    getEventDispatcher().registerEvent(IObjectAcceptor::connectToService_event, new TEDObject1<IObjectAcceptorImpl, string, void(IObjectAcceptorImpl:: * )(const string&), void >(this, &IObjectAcceptorImpl::connectToService));
  
    getEventDispatcher().registerEvent(IObjectAcceptor::getServiceList_event, new TEDObject0<IObjectAcceptorImpl, list<string > (IObjectAcceptorImpl:: * )() const, list<string >  >(this, &IObjectAcceptorImpl::getServiceList));

  }

}


