
#ifndef NMM_IMPEGVideoDecoderImpl_HPP
#define NMM_IMPEGVideoDecoderImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IMPEGVideoDecoder.hpp"


namespace NMM
{

  class IMPEGVideoDecoderImpl  : public virtual NMMObject { 
  public:
    IMPEGVideoDecoderImpl() { addInterface(new IMPEGVideoDecoder(*this)); registerEvents(); };

    virtual ~IMPEGVideoDecoderImpl() {};

  protected:

    virtual Result resyncMPEG() /* in-stream */  = 0;


  private:
    void registerEvents();
  };

}

#endif
