
#include "IProgressBarImpl.hpp"


namespace NMM
{
  
  void IProgressBarImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IProgressBar::setMaxProgress_event, new TEDObject1<IProgressBarImpl, u_int64_t, void(IProgressBarImpl:: * )(const u_int64_t&), void >(this, &IProgressBarImpl::setMaxProgress));
  
    getEventDispatcher().registerEvent(IProgressBar::setProgress_event, new TEDObject1<IProgressBarImpl, u_int64_t, void(IProgressBarImpl:: * )(const u_int64_t&), void >(this, &IProgressBarImpl::setProgress));
  
    getEventDispatcher().registerEvent(IProgressBar::setBarColor_event, new TEDObject1<IProgressBarImpl, u_int32_t, void(IProgressBarImpl:: * )(const u_int32_t&), void >(this, &IProgressBarImpl::setBarColor));
  
    getEventDispatcher().registerEvent(IProgressBar::setBarSpaces_event, new TEDObject2<IProgressBarImpl, unsigned int, unsigned int, void(IProgressBarImpl:: * )(const unsigned int&, const unsigned int&), void >(this, &IProgressBarImpl::setBarSpaces));

  }

}


