
#include "IChannelInfoImpl.hpp"


namespace NMM
{
  
  void IChannelInfoImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IChannelInfo::hasChannel_event, new TEDObject2<IChannelInfoImpl, int, string, Result(IChannelInfoImpl:: * )(int&, const string&), Result >(this, &IChannelInfoImpl::hasChannel));
  
    getEventDispatcher().registerEvent(IChannelInfo::getChannelList_event, new TEDObject0<IChannelInfoImpl, TVChannelList(IChannelInfoImpl:: * )(), TVChannelList >(this, &IChannelInfoImpl::getChannelList));
  
    getEventDispatcher().registerEvent(IChannelInfo::setChannelConfigFile_event, new TEDObject1<IChannelInfoImpl, string, void(IChannelInfoImpl:: * )(const string&), void >(this, &IChannelInfoImpl::setChannelConfigFile));
    getEventDispatcher().addLimited(IChannelInfo::setChannelConfigFile_event, INode::CONSTRUCTED);

  }

}


