
#include "IVISCACameraImpl.hpp"


namespace NMM
{
  
  void IVISCACameraImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IVISCACamera::IF_Clear_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::IF_Clear));
  
    getEventDispatcher().registerEvent(IVISCACamera::AddressSet_event, new TEDObject0<IVISCACameraImpl, Result(IVISCACameraImpl:: * )(), Result >(this, &IVISCACameraImpl::AddressSet));
  
    getEventDispatcher().registerEvent(IVISCACamera::getNumberOfCameras_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(unsigned char&), Result >(this, &IVISCACameraImpl::getNumberOfCameras));
  
    getEventDispatcher().registerEvent(IVISCACamera::CommandCancel_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::CommandCancel));
  
    getEventDispatcher().registerEvent(IVISCACamera::PowerOn_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::PowerOn));
  
    getEventDispatcher().registerEvent(IVISCACamera::PowerOff_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::PowerOff));
  
    getEventDispatcher().registerEvent(IVISCACamera::AutoPowerOff_event, new TEDObject2<IVISCACameraImpl, unsigned char, int, Result(IVISCACameraImpl:: * )(const unsigned char&, const int&), Result >(this, &IVISCACameraImpl::AutoPowerOff));
  
    getEventDispatcher().registerEvent(IVISCACamera::ZoomStop_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::ZoomStop));
  
    getEventDispatcher().registerEvent(IVISCACamera::ZoomTeleStd_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::ZoomTeleStd));
  
    getEventDispatcher().registerEvent(IVISCACamera::ZoomWideStd_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::ZoomWideStd));
  
    getEventDispatcher().registerEvent(IVISCACamera::ZoomTeleVar_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::ZoomTeleVar));
  
    getEventDispatcher().registerEvent(IVISCACamera::ZoomWideVar_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::ZoomWideVar));
  
    getEventDispatcher().registerEvent(IVISCACamera::ZoomDirect_event, new TEDObject2<IVISCACameraImpl, unsigned char, int, Result(IVISCACameraImpl:: * )(const unsigned char&, const int&), Result >(this, &IVISCACameraImpl::ZoomDirect));
  
    getEventDispatcher().registerEvent(IVISCACamera::ZoomDigitalZoomOnOff_event, new TEDObject2<IVISCACameraImpl, unsigned char, bool, Result(IVISCACameraImpl:: * )(const unsigned char&, const bool&), Result >(this, &IVISCACameraImpl::ZoomDigitalZoomOnOff));
  
    getEventDispatcher().registerEvent(IVISCACamera::FocusStop_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::FocusStop));
  
    getEventDispatcher().registerEvent(IVISCACamera::FocusFarStd_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::FocusFarStd));
  
    getEventDispatcher().registerEvent(IVISCACamera::FocusNearStd_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::FocusNearStd));
  
    getEventDispatcher().registerEvent(IVISCACamera::FocusFarVar_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::FocusFarVar));
  
    getEventDispatcher().registerEvent(IVISCACamera::FocusNearVar_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::FocusNearVar));
  
    getEventDispatcher().registerEvent(IVISCACamera::FocusDirect_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned short&), Result >(this, &IVISCACameraImpl::FocusDirect));
  
    getEventDispatcher().registerEvent(IVISCACamera::FocusAutoFocus_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::FocusAutoFocus));
  
    getEventDispatcher().registerEvent(IVISCACamera::FocusManualFocus_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::FocusManualFocus));
  
    getEventDispatcher().registerEvent(IVISCACamera::FocusAutoManual_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::FocusAutoManual));
  
    getEventDispatcher().registerEvent(IVISCACamera::FocusOnePushTrigger_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::FocusOnePushTrigger));
  
    getEventDispatcher().registerEvent(IVISCACamera::FocusInfinity_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::FocusInfinity));
  
    getEventDispatcher().registerEvent(IVISCACamera::FocusAFSensHigh_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::FocusAFSensHigh));
  
    getEventDispatcher().registerEvent(IVISCACamera::FocusAFSensLow_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::FocusAFSensLow));
  
    getEventDispatcher().registerEvent(IVISCACamera::FocusNearLimit_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned short&), Result >(this, &IVISCACameraImpl::FocusNearLimit));
  
    getEventDispatcher().registerEvent(IVISCACamera::WhiteBalance_event, new TEDObject3<IVISCACameraImpl, unsigned char, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::WhiteBalance));
  
    getEventDispatcher().registerEvent(IVISCACamera::WhiteBalanceAuto_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::WhiteBalanceAuto));
  
    getEventDispatcher().registerEvent(IVISCACamera::WhiteBalanceIndoor_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::WhiteBalanceIndoor));
  
    getEventDispatcher().registerEvent(IVISCACamera::WhiteBalanceOutdoor_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::WhiteBalanceOutdoor));
  
    getEventDispatcher().registerEvent(IVISCACamera::WhiteBalanceOnePush_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::WhiteBalanceOnePush));
  
    getEventDispatcher().registerEvent(IVISCACamera::WhiteBalanceAT_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::WhiteBalanceAT));
  
    getEventDispatcher().registerEvent(IVISCACamera::WhiteBalanceManual_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::WhiteBalanceManual));
  
    getEventDispatcher().registerEvent(IVISCACamera::WhiteBalanceOnePushTrigger_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::WhiteBalanceOnePushTrigger));
  
    getEventDispatcher().registerEvent(IVISCACamera::RGainReset_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::RGainReset));
  
    getEventDispatcher().registerEvent(IVISCACamera::RGainUp_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::RGainUp));
  
    getEventDispatcher().registerEvent(IVISCACamera::RGainDown_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::RGainDown));
  
    getEventDispatcher().registerEvent(IVISCACamera::RGainDirect_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned short&), Result >(this, &IVISCACameraImpl::RGainDirect));
  
    getEventDispatcher().registerEvent(IVISCACamera::BGainReset_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::BGainReset));
  
    getEventDispatcher().registerEvent(IVISCACamera::BGainUp_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::BGainUp));
  
    getEventDispatcher().registerEvent(IVISCACamera::BGainDown_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::BGainDown));
  
    getEventDispatcher().registerEvent(IVISCACamera::BGainDirect_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned short&), Result >(this, &IVISCACameraImpl::BGainDirect));
  
    getEventDispatcher().registerEvent(IVISCACamera::AutomaticExposureFull_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::AutomaticExposureFull));
  
    getEventDispatcher().registerEvent(IVISCACamera::AutomaticExposureManual_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::AutomaticExposureManual));
  
    getEventDispatcher().registerEvent(IVISCACamera::AutomaticExposureShutterPriority_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::AutomaticExposureShutterPriority));
  
    getEventDispatcher().registerEvent(IVISCACamera::AutomaticExposureIrisPriority_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::AutomaticExposureIrisPriority));
  
    getEventDispatcher().registerEvent(IVISCACamera::AutomaticExposureGainPriority_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::AutomaticExposureGainPriority));
  
    getEventDispatcher().registerEvent(IVISCACamera::AutomaticExposureBright_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::AutomaticExposureBright));
  
    getEventDispatcher().registerEvent(IVISCACamera::AutomaticExposureShutterAuto_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::AutomaticExposureShutterAuto));
  
    getEventDispatcher().registerEvent(IVISCACamera::AutomaticExposureIrisAuto_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::AutomaticExposureIrisAuto));
  
    getEventDispatcher().registerEvent(IVISCACamera::AutomaticExposureGainAuto_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::AutomaticExposureGainAuto));
  
    getEventDispatcher().registerEvent(IVISCACamera::SlowShutter_event, new TEDObject2<IVISCACameraImpl, unsigned char, bool, Result(IVISCACameraImpl:: * )(const unsigned char&, const bool&), Result >(this, &IVISCACameraImpl::SlowShutter));
  
    getEventDispatcher().registerEvent(IVISCACamera::ShutterReset_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::ShutterReset));
  
    getEventDispatcher().registerEvent(IVISCACamera::ShutterUp_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::ShutterUp));
  
    getEventDispatcher().registerEvent(IVISCACamera::ShutterDown_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::ShutterDown));
  
    getEventDispatcher().registerEvent(IVISCACamera::ShutterDirect_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned short&), Result >(this, &IVISCACameraImpl::ShutterDirect));
  
    getEventDispatcher().registerEvent(IVISCACamera::IrisReset_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::IrisReset));
  
    getEventDispatcher().registerEvent(IVISCACamera::IrisUp_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::IrisUp));
  
    getEventDispatcher().registerEvent(IVISCACamera::IrisDown_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::IrisDown));
  
    getEventDispatcher().registerEvent(IVISCACamera::IrisDirect_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned short&), Result >(this, &IVISCACameraImpl::IrisDirect));
  
    getEventDispatcher().registerEvent(IVISCACamera::GainReset_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::GainReset));
  
    getEventDispatcher().registerEvent(IVISCACamera::GainUp_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::GainUp));
  
    getEventDispatcher().registerEvent(IVISCACamera::GainDown_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::GainDown));
  
    getEventDispatcher().registerEvent(IVISCACamera::GainDirect_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned short&), Result >(this, &IVISCACameraImpl::GainDirect));
  
    getEventDispatcher().registerEvent(IVISCACamera::BrightReset_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::BrightReset));
  
    getEventDispatcher().registerEvent(IVISCACamera::BrightUp_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::BrightUp));
  
    getEventDispatcher().registerEvent(IVISCACamera::BrightDown_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::BrightDown));
  
    getEventDispatcher().registerEvent(IVISCACamera::BrightDirect_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned short&), Result >(this, &IVISCACameraImpl::BrightDirect));
  
    getEventDispatcher().registerEvent(IVISCACamera::ExposureCompensationOnOff_event, new TEDObject2<IVISCACameraImpl, unsigned char, bool, Result(IVISCACameraImpl:: * )(const unsigned char&, const bool&), Result >(this, &IVISCACameraImpl::ExposureCompensationOnOff));
  
    getEventDispatcher().registerEvent(IVISCACamera::ExposureCompensationReset_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::ExposureCompensationReset));
  
    getEventDispatcher().registerEvent(IVISCACamera::ExposureCompensationUp_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::ExposureCompensationUp));
  
    getEventDispatcher().registerEvent(IVISCACamera::ExposureCompensationDown_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::ExposureCompensationDown));
  
    getEventDispatcher().registerEvent(IVISCACamera::ExposureCompensationDirect_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned short&), Result >(this, &IVISCACameraImpl::ExposureCompensationDirect));
  
    getEventDispatcher().registerEvent(IVISCACamera::BackLightOnOff_event, new TEDObject2<IVISCACameraImpl, unsigned char, bool, Result(IVISCACameraImpl:: * )(const unsigned char&, const bool&), Result >(this, &IVISCACameraImpl::BackLightOnOff));
  
    getEventDispatcher().registerEvent(IVISCACamera::ApertureReset_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::ApertureReset));
  
    getEventDispatcher().registerEvent(IVISCACamera::ApertureUp_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::ApertureUp));
  
    getEventDispatcher().registerEvent(IVISCACamera::ApertureDown_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::ApertureDown));
  
    getEventDispatcher().registerEvent(IVISCACamera::ApertureDirect_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned short&), Result >(this, &IVISCACameraImpl::ApertureDirect));
  
    getEventDispatcher().registerEvent(IVISCACamera::WideModeOff_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::WideModeOff));
  
    getEventDispatcher().registerEvent(IVISCACamera::WideModeCinema_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::WideModeCinema));
  
    getEventDispatcher().registerEvent(IVISCACamera::WideMode16to9Full_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::WideMode16to9Full));
  
    getEventDispatcher().registerEvent(IVISCACamera::LR_Reverse_event, new TEDObject2<IVISCACameraImpl, unsigned char, bool, Result(IVISCACameraImpl:: * )(const unsigned char&, const bool&), Result >(this, &IVISCACameraImpl::LR_Reverse));
  
    getEventDispatcher().registerEvent(IVISCACamera::Freeze_event, new TEDObject2<IVISCACameraImpl, unsigned char, bool, Result(IVISCACameraImpl:: * )(const unsigned char&, const bool&), Result >(this, &IVISCACameraImpl::Freeze));
  
    getEventDispatcher().registerEvent(IVISCACamera::PictureEffectOff_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::PictureEffectOff));
  
    getEventDispatcher().registerEvent(IVISCACamera::PictureEffectPastel_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::PictureEffectPastel));
  
    getEventDispatcher().registerEvent(IVISCACamera::PictureEffectNegArt_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::PictureEffectNegArt));
  
    getEventDispatcher().registerEvent(IVISCACamera::PictureEffectSepia_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::PictureEffectSepia));
  
    getEventDispatcher().registerEvent(IVISCACamera::PictureEffectBW_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::PictureEffectBW));
  
    getEventDispatcher().registerEvent(IVISCACamera::PictureEffectSolarize_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::PictureEffectSolarize));
  
    getEventDispatcher().registerEvent(IVISCACamera::PictureEffectMosaic_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::PictureEffectMosaic));
  
    getEventDispatcher().registerEvent(IVISCACamera::PictureEffectSlim_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::PictureEffectSlim));
  
    getEventDispatcher().registerEvent(IVISCACamera::PictureEffectStretch_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::PictureEffectStretch));
  
    getEventDispatcher().registerEvent(IVISCACamera::DigitalEffectOff_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::DigitalEffectOff));
  
    getEventDispatcher().registerEvent(IVISCACamera::DigitalEffectStill_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::DigitalEffectStill));
  
    getEventDispatcher().registerEvent(IVISCACamera::DigitalEffectFlash_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::DigitalEffectFlash));
  
    getEventDispatcher().registerEvent(IVISCACamera::DigitalEffectLumi_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::DigitalEffectLumi));
  
    getEventDispatcher().registerEvent(IVISCACamera::DigitalEffectTrail_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::DigitalEffectTrail));
  
    getEventDispatcher().registerEvent(IVISCACamera::DigitalEffectLevel_event, new TEDObject3<IVISCACameraImpl, unsigned char, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::DigitalEffectLevel));
  
    getEventDispatcher().registerEvent(IVISCACamera::Memory_event, new TEDObject3<IVISCACameraImpl, unsigned char, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::Memory));
  
    getEventDispatcher().registerEvent(IVISCACamera::MemoryReset_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::MemoryReset));
  
    getEventDispatcher().registerEvent(IVISCACamera::MemorySet_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::MemorySet));
  
    getEventDispatcher().registerEvent(IVISCACamera::MemoryRecall_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::MemoryRecall));
  
    getEventDispatcher().registerEvent(IVISCACamera::DataScreenOnOff_event, new TEDObject2<IVISCACameraImpl, unsigned char, bool, Result(IVISCACameraImpl:: * )(const unsigned char&, const bool&), Result >(this, &IVISCACameraImpl::DataScreenOnOff));
  
    getEventDispatcher().registerEvent(IVISCACamera::IRReceiveOnOff_event, new TEDObject2<IVISCACameraImpl, unsigned char, bool, Result(IVISCACameraImpl:: * )(const unsigned char&, const bool&), Result >(this, &IVISCACameraImpl::IRReceiveOnOff));
  
    getEventDispatcher().registerEvent(IVISCACamera::IRReceiveReturn_event, new TEDObject2<IVISCACameraImpl, unsigned char, bool, Result(IVISCACameraImpl:: * )(const unsigned char&, const bool&), Result >(this, &IVISCACameraImpl::IRReceiveReturn));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltDriveMotion_event, new TEDObject5<IVISCACameraImpl, unsigned char, unsigned char, unsigned char, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&, const unsigned char&, const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::PanTiltDriveMotion));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltDriveUp_event, new TEDObject3<IVISCACameraImpl, unsigned char, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::PanTiltDriveUp));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltDriveDown_event, new TEDObject3<IVISCACameraImpl, unsigned char, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::PanTiltDriveDown));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltDriveLeft_event, new TEDObject3<IVISCACameraImpl, unsigned char, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::PanTiltDriveLeft));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltDriveRight_event, new TEDObject3<IVISCACameraImpl, unsigned char, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::PanTiltDriveRight));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltDriveUpLeft_event, new TEDObject3<IVISCACameraImpl, unsigned char, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::PanTiltDriveUpLeft));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltDriveUpRight_event, new TEDObject3<IVISCACameraImpl, unsigned char, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::PanTiltDriveUpRight));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltDriveDownLeft_event, new TEDObject3<IVISCACameraImpl, unsigned char, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::PanTiltDriveDownLeft));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltDriveDownRight_event, new TEDObject3<IVISCACameraImpl, unsigned char, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::PanTiltDriveDownRight));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltDriveStop_event, new TEDObject3<IVISCACameraImpl, unsigned char, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::PanTiltDriveStop));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltDrivePosition_event, new TEDObject6<IVISCACameraImpl, unsigned char, unsigned char, int, int, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&, const int&, const int&, const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::PanTiltDrivePosition));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltDriveAbsolute_event, new TEDObject5<IVISCACameraImpl, unsigned char, int, int, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const int&, const int&, const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::PanTiltDriveAbsolute));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltDriveRelative_event, new TEDObject5<IVISCACameraImpl, unsigned char, int, int, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const int&, const int&, const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::PanTiltDriveRelative));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltDriveAbsoluteDeg_event, new TEDObject5<IVISCACameraImpl, unsigned char, int, int, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const int&, const int&, const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::PanTiltDriveAbsoluteDeg));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltDriveRelativeDeg_event, new TEDObject5<IVISCACameraImpl, unsigned char, int, int, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const int&, const int&, const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::PanTiltDriveRelativeDeg));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltDriveHome_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::PanTiltDriveHome));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltDriveReset_event, new TEDObject1<IVISCACameraImpl, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&), Result >(this, &IVISCACameraImpl::PanTiltDriveReset));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltLimitSet_event, new TEDObject4<IVISCACameraImpl, unsigned char, unsigned char, int, int, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&, const int&, const int&), Result >(this, &IVISCACameraImpl::PanTiltLimitSet));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltLimitClear_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, const unsigned char&), Result >(this, &IVISCACameraImpl::PanTiltLimitClear));
  
    getEventDispatcher().registerEvent(IVISCACamera::PowerInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, bool, Result(IVISCACameraImpl:: * )(const unsigned char&, bool&), Result >(this, &IVISCACameraImpl::PowerInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::AutoPowerOffInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned short&), Result >(this, &IVISCACameraImpl::AutoPowerOffInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::DZoomModeInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, bool, Result(IVISCACameraImpl:: * )(const unsigned char&, bool&), Result >(this, &IVISCACameraImpl::DZoomModeInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::ZoomPosInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned short&), Result >(this, &IVISCACameraImpl::ZoomPosInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::FocusModeInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, bool, Result(IVISCACameraImpl:: * )(const unsigned char&, bool&), Result >(this, &IVISCACameraImpl::FocusModeInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::FocusPosInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned short&), Result >(this, &IVISCACameraImpl::FocusPosInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::AFModeInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, bool, Result(IVISCACameraImpl:: * )(const unsigned char&, bool&), Result >(this, &IVISCACameraImpl::AFModeInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::FocusNearLimitInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned short&), Result >(this, &IVISCACameraImpl::FocusNearLimitInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::WhiteBalanceModeInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned char&), Result >(this, &IVISCACameraImpl::WhiteBalanceModeInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::RGainInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned char&), Result >(this, &IVISCACameraImpl::RGainInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::BGainInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned short&), Result >(this, &IVISCACameraImpl::BGainInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::AutoExposureModeInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned char&), Result >(this, &IVISCACameraImpl::AutoExposureModeInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::SlowShutterModeInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, bool, Result(IVISCACameraImpl:: * )(const unsigned char&, bool&), Result >(this, &IVISCACameraImpl::SlowShutterModeInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::ShutterPosInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned short&), Result >(this, &IVISCACameraImpl::ShutterPosInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::IrisPosInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned short&), Result >(this, &IVISCACameraImpl::IrisPosInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::GainPosInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned short&), Result >(this, &IVISCACameraImpl::GainPosInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::BrightPosInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned short&), Result >(this, &IVISCACameraImpl::BrightPosInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::ExposureCompensationModeInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, bool, Result(IVISCACameraImpl:: * )(const unsigned char&, bool&), Result >(this, &IVISCACameraImpl::ExposureCompensationModeInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::ExposureCompensationPosInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned short&), Result >(this, &IVISCACameraImpl::ExposureCompensationPosInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::BackLightModeInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, bool, Result(IVISCACameraImpl:: * )(const unsigned char&, bool&), Result >(this, &IVISCACameraImpl::BackLightModeInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::ApertureInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned short&), Result >(this, &IVISCACameraImpl::ApertureInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::WideModeInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned char&), Result >(this, &IVISCACameraImpl::WideModeInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::LR_ReverseModeInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, bool, Result(IVISCACameraImpl:: * )(const unsigned char&, bool&), Result >(this, &IVISCACameraImpl::LR_ReverseModeInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::FreezeModeInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, bool, Result(IVISCACameraImpl:: * )(const unsigned char&, bool&), Result >(this, &IVISCACameraImpl::FreezeModeInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::PictureEffectModeInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned char&), Result >(this, &IVISCACameraImpl::PictureEffectModeInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::DigitalEffectModeInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned char&), Result >(this, &IVISCACameraImpl::DigitalEffectModeInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::DigitalEffectLevelInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned char&), Result >(this, &IVISCACameraImpl::DigitalEffectLevelInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::MemoryInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned char&), Result >(this, &IVISCACameraImpl::MemoryInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::DatascreenInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, bool, Result(IVISCACameraImpl:: * )(const unsigned char&, bool&), Result >(this, &IVISCACameraImpl::DatascreenInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltModeInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned short, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned short&), Result >(this, &IVISCACameraImpl::PanTiltModeInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltMaxSpeedInq_event, new TEDObject3<IVISCACameraImpl, unsigned char, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned char&, unsigned char&), Result >(this, &IVISCACameraImpl::PanTiltMaxSpeedInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::PanTiltPosInq_event, new TEDObject3<IVISCACameraImpl, unsigned char, int, int, Result(IVISCACameraImpl:: * )(const unsigned char&, int&, int&), Result >(this, &IVISCACameraImpl::PanTiltPosInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::VideoSystemInq_event, new TEDObject2<IVISCACameraImpl, unsigned char, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned char&), Result >(this, &IVISCACameraImpl::VideoSystemInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::DeviceTypeInq_event, new TEDObject5<IVISCACameraImpl, unsigned char, unsigned short, unsigned short, unsigned short, unsigned char, Result(IVISCACameraImpl:: * )(const unsigned char&, unsigned short&, unsigned short&, unsigned short&, unsigned char&), Result >(this, &IVISCACameraImpl::DeviceTypeInq));
  
    getEventDispatcher().registerEvent(IVISCACamera::verbose_event, new TEDObject2<IVISCACameraImpl, string, string, void(IVISCACameraImpl:: * )(const string&, const string&), void >(this, &IVISCACameraImpl::verbose));
  
    getEventDispatcher().registerEvent(IVISCACamera::islocked_event, new TEDObject1<IVISCACameraImpl, unsigned char, bool(IVISCACameraImpl:: * )(const unsigned char&), bool >(this, &IVISCACameraImpl::islocked));

  }

}


